Search monitors
- Base URL
-
https://{kibana_url}
- GET /api/synthetics/monitors
- GET /s/{space_id}/api/synthetics/monitors
Refer to Spaces for more information.
Get a list of monitors.
You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
Required authorization
- Privileges uptime-read
Query parameters
-
Tags to filter monitors. Accepts a string or an array of strings.
-
monitorTypesstring · max items: 1000 -
The monitor types to filter by, such as
http. Accepts a string or an array of strings. -
locationsstring · max items: 1000 -
The location IDs to filter by. Accepts a string or an array of strings.
-
projectsstring · max items: 1000 -
The projects to filter by. Accepts a string or an array of strings.
-
schedulesstring · max items: 1000 -
The schedules to filter by. Accepts a string or an array of strings.
-
statusstring · max items: 1000 -
The monitor statuses to filter by. Accepts a string or an array of strings.
-
monitorQueryIdsstring · max items: 1000 -
The monitor query IDs to filter by. Accepts a string or an array of strings.
-
configIdsstring · max items: 1000 -
The monitor config IDs to filter by. Accepts a string or an array of strings.
-
showFromAllSpacesenum | boolean -
If
true, return monitors from all spaces the user can access. -
Values:
truefalse -
useLogicalAndFor· max items: 1000 -
Apply logical AND for
tagsand/orlocations. Accepts a string or an array. -
Values:
tagslocations -
dateRangeStartstring · max length: 4096 -
The start of the status window, as datemath (
now-15m) or an ISO-8601 timestamp. -
dateRangeEndstring · max length: 4096 -
The end of the status window, as datemath (
now) or an ISO-8601 timestamp.